<<< Previous |  | Next >>>

# mail::folder::hasSubFolders

## Name

mail::folder::hasSubFolders -- Determine if the folder is capable of storing other folders

## Synopsis

#include <libmail/mail.H>
mail::folder *folder;

``bool flag=folder->`hasSubFolders``(void);`

## USAGE

Some folders contain messages. Other folders contain other folder (subfolders). Some IMAP servers are capable of creating dual-purpose folders that contain both messages and other subfolders. The `hasSubFolders` indicates whether `folder` is capable of containing other folders (subfolders).

## Return Codes

A `true` result indicates that `folder` is capable of storing other folders. It may not necessarily mean that `folder` actually contains any folders, it might very well be an empty folder.

Applications should interpret a `true` result to mean that the mail::folder::createSubFolder(3x) function may be used to create subfolders.

## SEE ALSO

mail::folder::hasMessages(3x).

<<< Previous | Home | Next >>>
mail::folder::hasMessages | Up | mail::folder::isparentof